Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005210 [JEDI VCL] 00 JVCL Components major always 2010-03-25 01:56 2011-06-10 16:10
Reporter chanceit View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005210: TjvDBGrid + TjvDBUltimGrid tabbing when FixedCols > 0
Description When FixedCols > 0 for either TjvDBGrid or TjvDBUltimGrid, pressing the Tab key in any column moves focus to the first non-fixed column, rather than to the next column to the right.
With FixedCols=0, Tabbing behaves as usual (and as in version 3.38), moving left to right across the grid.
Additional Information
Tags No tags attached.
Attached Files zip file icon GridTest.zip [^] (603,707 bytes) 2010-06-07 19:30

- Relationships

-  Notes
(0017375)
moore (reporter)
2010-05-07 21:53

I confirm the bug in Delphi2007..
(0017451)
obones (administrator)
2010-06-07 13:49

Could you please provide the zipped sources of a sample application showing this?
(0017473)
chanceit (reporter)
2010-06-07 19:39

GridTest.zip contains source of sample application GridTest and accompanying csv data table. EXE is also included, compiled with Delphi7 & JVCL 3.39. When spin edit is used to increase FixedCols of JvDBUltimGrid to greater than 0, using tab key to move across the grid ceases to function.
(0017474)
AHUser (developer)
2010-06-07 19:58

Fixed in SVN revision 12801.

- Issue History
Date Modified Username Field Change
2010-03-25 01:56 chanceit New Issue
2010-05-07 21:53 moore Note Added: 0017375
2010-06-07 13:49 obones Note Added: 0017451
2010-06-07 13:49 obones Status new => feedback
2010-06-07 19:30 chanceit File Added: GridTest.zip
2010-06-07 19:39 chanceit Note Added: 0017473
2010-06-07 19:58 AHUser Note Added: 0017474
2010-06-07 19:58 AHUser Status feedback => resolved
2010-06-07 19:58 AHUser Fixed in Version => Daily / SVN
2010-06-07 19:58 AHUser Resolution open => fixed
2010-06-07 19:58 AHUser Assigned To => AHUser
2010-06-22 17:26 moore Issue Monitored: moore
2011-06-10 16:10 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker